# Protokoll Texer
## linkToPDF.py
### Usage

#### Basic usage:
```
python3 linkToPDF.py <url to pad> --download --compile
```

#### Usage with link-pad:
```
python3 linkToPDF.py --pad <url to pad>
```

#### Advanced usage:
Pad is "Fachgruppenvollversammlung"
```
python3 linkToPDF.py <url to pad>  --prefixes=">"
```

Get all new pads from Link-Pad and download/compile
```
python3 linkToPDF.py --pad <url to pad> --newOnly --download --compile
```

Create merged pad with all protocols
```
python3 linkToPDF.py --pad <url to pad> --topics
```





### Link-Pad
The Link-pad has to have following format:
```
# Der Markdownsyntax wird hier nicht beachtet. "#" dient als Zeilenkommentaranfang.
# Legende:
# * : Muss noch beschlossen werden
# > : Fachgruppenvollversammlung
# + : Anlage

+https://pad.finf.uni-hannover.de/finfanlage_20190122_v1_finanzkonzept  # Dieses Pad ist eine Anlage

*https://pad.finf.uni-hannover.de/finfprotokollYYYYMMDD_SALT  # Protokoll noch nicht genehmigt
https://pad.finf.uni-hannover.de/finfprotokollYYYYMMDD_SALT  # Protokoll bereits genehmigt
>*https://pad.finf.uni-hannover.de/finfprotokollYYYYMMDD_SALT  # Protokoll nicht genehmigt; Ist Fachgruppenvollversammlung
```