#!/bin/bash

### TODO: add email to fr@finf.uni-hannover.de
#
# must be placed in "pter" folder


############## config ##############
USERNAME=""
PASSWORD=""
SEMESTER="2016WS"
DATE="20161129"     #$(date +%Y%m%d)
SALT="VtH5SVYN"
VERSION="_v0.1"     #format: "_v0.1"
PDF_VIEWER="chromium"
####################################

if [ $# -eq 0 ]; then
	
	echo "Usage:"
	echo "./automation.sh { --upload | --preview }"
	echo "./automation.sh {  -u      |  -p }"
	
elif [ $1 = "-u" -o $1 = "--upload" ]; then
	
	wget --quiet https://pad.finf.uni-hannover.de/p/protokoll$DATE$SALT/export/txt -O protokoll.$DATE$VERSION.md
	
	./makepdf.sh protokoll.$DATE.md
	
	curl -X PUT -u $USERNAME:$PASSWORD "https://cloud.finf.uni-hannover.de/remote.php/webdav/Fachrat/Protokolle/Finf/$SEMESTER/protokoll.$DATE.pdf" --data-binary @"protokoll.$DATE.pdf"
	
elif [ $1 = "-p" -o $1 = "--preview" ]; then
	
	wget --quiet https://pad.finf.uni-hannover.de/p/protokoll$DATE$SALT/export/txt -O protokoll.$DATE$VERSION.md
	
	./makepdf.sh protokoll.$DATE$VERSION.md
	
	$PDF_VIEWER protokoll.$DATE$VERSION.pdf
	
fi
